Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.extractor
Class ExtractorManager

    java.lang.Object
      org.apache.slide.extractor.ExtractorManager

All Implemented Interfaces:
  Configurable

public class ExtractorManager
extends java.lang.Object
implements Configurable

The ExtractorManager class

Method Summary
`void` | `addExtractor(Extractor extractor)`
`void` | `configure(Configuration config)`
`ContentExtractor[]` | `getContentExtractors(java.lang.String namespace, NodeRevisionDescriptors descriptors, NodeRevisionDescriptor descriptor)`
`Extractor[]` | `getExtractors(java.lang.String namespace, NodeRevisionDescriptors descriptors, NodeRevisionDescriptor descriptor)`
`static ExtractorManager` | `getInstance()`
`PropertyExtractor[]` | `getPropertyExtractors(java.lang.String namespace, NodeRevisionDescriptors descriptors, NodeRevisionDescriptor descriptor)`
`boolean` | `matches(Extractor extractor, java.lang.String namespace, NodeRevisionDescriptors descriptors, NodeRevisionDescriptor descriptor)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static ExtractorManager getInstance()

### addExtractor

    public void addExtractor(Extractor extractor)

### getPropertyExtractors

    public PropertyExtractor[] getPropertyExtractors(java.lang.String namespace,
                                                     NodeRevisionDescriptors descriptors,
                                                     NodeRevisionDescriptor descriptor)

### getContentExtractors

    public ContentExtractor[] getContentExtractors(java.lang.String namespace,
                                                   NodeRevisionDescriptors descriptors,
                                                   NodeRevisionDescriptor descriptor)

### getExtractors

    public Extractor[] getExtractors(java.lang.String namespace,
                                     NodeRevisionDescriptors descriptors,
                                     NodeRevisionDescriptor descriptor)

### matches

    public boolean matches(Extractor extractor,
                           java.lang.String namespace,
                           NodeRevisionDescriptors descriptors,
                           NodeRevisionDescriptor descriptor)

### configure

    public void configure(Configuration config)
                   throws ConfigurationException

  Specified by:
    `configure` in interface `Configurable`
  Throws:
    `ConfigurationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD